# NinetyEight.NELoginCallback

## Delegate NELoginCallback <a href="#ninetyeight_nelogincallback" id="ninetyeight_nelogincallback"></a>

Namespace: NinetyEight\
Assembly: APIReference.dll

Callback for login operations.

```csharp
public delegate void NELoginCallback(int errorCode, NELoginData data)
```

**Parameters**

`errorCode` [int](https://learn.microsoft.com/dotnet/api/system.int32)

0 if successful, non-zero if failed.

`data` NELoginData

Login data, or null if login failed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eternals.game/gdk-documentation/unity/api-reference/v1.0.0/ninetyeight.nelogincallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
